FLANG

Public Member Functions | List of all members
Fortran::evaluate::value::RoundingBits Class Reference

## Public Member Functions
constexpr | RoundingBits (bool guard=false, bool round=false, bool sticky=false)
template<typename FRACTION >
constexpr | RoundingBits (const FRACTION &fraction, int rshift)
constexpr bool | guard () const
constexpr bool | round () const
constexpr bool | sticky () const
constexpr bool | empty () const
constexpr bool | Negate ()
constexpr bool | ShiftLeft ()
constexpr void | ShiftRight (bool newGuard)
constexpr bool | MustRound (Rounding rounding, bool isNegative, bool isOdd) const

The documentation for this class was generated from the following file:

- include/flang/Evaluate/rounding-bits.h